# $Id: mnf.spec.proto,v 1.4 2003/12/02 13:03:17 florin Exp $
%define name mnf
%define version 10.0
%define release 1mdk

Summary: Multi Network Firewall
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url:	http://www.mandrakesecure.net
Group: System/Configuration/Other
#Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
Prefix: %{_prefix}

%description
MNF defines the components of a Multi Network Firewall System

%package en
Summary: Multi Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-en
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-en
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Conflicts: Bastille
Requires: shorewall
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-en
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: /usr/bin/whiptail
Requires: rp-pppoe, pptp-adsl, pptp-linux
Requires: ez-ipupdate
Provides: mnf
Provides: snf-en
Obsoletes: snf-en
Obsoletes: snf-fr
Obsoletes: snf-de
Obsoletes: snf-es
Obsoletes: snf-pt
Obsoletes: snf-it

#%package fr
#Summary: Multi Network Firewall
#Group: System/Configuration/Other
#PreReq: httpd-naat
#PreReq: naat-frontend-www-fr
#PreReq: naat-backend
#PreReq: naat-monitoring
##PreReq: mandrake_doc_security-fr
#Requires: sarg
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: DansGuardian
#Requires: sarg
#Requires: dhcp-server
#Requires: bind
#Requires: caching-nameserver
#Conflicts: Bastille
#Requires: shorewall
#Requires: iptables
#Requires: diald
#Requires: prelude
#Requires: snort
#Requires: SnortSnarf
#Requires: fwlogwatch
#Requires: locales-fr
## DHCP Client
#Requires: pump
#Requires: dhcpcd
#Requires: dhcp-client
#Requires: dhcpxd
## SSH
#Requires: openssh, openssh-server, openssh-clients
#Requires: ntp
#Requires: newt
#Requires: /usr/bin/whiptail
#Requires: rp-pppoe, pptp-adsl, pptp-linux
#Requires: ez-ipupdate
#Provides: mnf
#
#%package de
#Summary: Multi Network Firewall
#Group: System/Configuration/Other
#PreReq: httpd-naat
#PreReq: naat-frontend-www-de
#PreReq: naat-backend
#PreReq: naat-monitoring
##PreReq: mandrake_doc_security-de
#Requires: sarg
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: DansGuardian
#Requires: sarg
#Requires: dhcp-server
#Requires: bind
#Requires: caching-nameserver
#Conflicts: Bastille
#Requires: shorewall
#Requires: iptables
#Requires: diald
#Requires: prelude
#Requires: snort
#Requires: SnortSnarf
#Requires: fwlogwatch
#Requires: locales-de
## DHCP Client
#Requires: pump
#Requires: dhcpcd
#Requires: dhcp-client
#Requires: dhcpxd
## SSH
#Requires: openssh, openssh-server, openssh-clients
#Requires: ntp
#Requires: newt
#Requires: /usr/bin/whiptail
#Requires: rp-pppoe, pptp-adsl, pptp-linux
#Requires: ez-ipupdate
#Provides: mnf
#
#%package it
#Summary: Multi Network Firewall
#Group: System/Configuration/Other
#PreReq: httpd-naat
#PreReq: naat-frontend-www-it
#PreReq: naat-backend
#PreReq: naat-monitoring
##PreReq: mandrake_doc_security-it
#Requires: sarg
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: DansGuardian
#Requires: sarg
#Requires: dhcp-server
#Requires: bind
#Requires: caching-nameserver
#Conflicts: Bastille
#Requires: shorewall
#Requires: iptables
#Requires: diald
#Requires: prelude
#Requires: snort
#Requires: SnortSnarf
#Requires: fwlogwatch
#Requires: locales-it
## DHCP Client
#Requires: pump
#Requires: dhcpcd
#Requires: dhcp-client
#Requires: dhcpxd
## SSH
#Requires: openssh, openssh-server, openssh-clients
#Requires: ntp
#Requires: newt
#Requires: /usr/bin/whiptail
#Requires: rp-pppoe, pptp-adsl, pptp-linux
#Requires: ez-ipupdate
#Provides: mnf
#
#
#%package es
#Summary: Multi Network Firewall
#Group: System/Configuration/Other
#PreReq: httpd-naat
#PreReq: naat-frontend-www-es
#PreReq: naat-backend
#PreReq: naat-monitoring
##PreReq: mandrake_doc_security-es
#Requires: sarg
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: DansGuardian
#Requires: sarg
#Requires: dhcp-server
#Requires: bind
#Requires: caching-nameserver
#Conflicts: Bastille
#Requires: shorewall
#Requires: iptables
#Requires: diald
#Requires: prelude
#Requires: snort
#Requires: SnortSnarf
#Requires: fwlogwatch
#Requires: locales-es
## DHCP Client
#Requires: pump
#Requires: dhcpcd
#Requires: dhcp-client
#Requires: dhcpxd
## SSH
#Requires: openssh, openssh-server, openssh-clients
#Requires: ntp
#Requires: newt
#Requires: /usr/bin/whiptail
#Requires: rp-pppoe, pptp-adsl, pptp-linux
#Requires: ez-ipupdate
#Provides: mnf
#
#%package pt
#Summary: Multi Network Firewall
#Group: System/Configuration/Other
#PreReq: httpd-naat
#PreReq: naat-frontend-www-pt
#PreReq: naat-backend
#PreReq: naat-monitoring
##PreReq: mandrake_doc_security-pt
#Requires: sarg
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: DansGuardian
#Requires: sarg
#Requires: dhcp-server
#Requires: bind
#Requires: caching-nameserver
#Conflicts: Bastille
#Requires: shorewall
#Requires: iptables
#Requires: diald
#Requires: prelude
#Requires: snort
#Requires: SnortSnarf
#Requires: fwlogwatch
#Requires: locales-pt
## DHCP Client
#Requires: pump
#Requires: dhcpcd
#Requires: dhcp-client
#Requires: dhcpxd
## SSH
#Requires: openssh, openssh-server, openssh-clients
#Requires: ntp
#Requires: newt
#Requires: /usr/bin/whiptail
#Requires: rp-pppoe, pptp-adsl, pptp-linux
#Requires: ez-ipupdate
#Provides: mnf
#

%description en
MNF defines the components of a Multi Network Firewall System

#%description fr
#MNF defines the components of a Multi Network Firewall System
#
#%description de
#MNF defines the components of a Multi Network Firewall System
#
#%description it
#MNF defines the components of a Multi Network Firewall System
#
#%description es
#MNF defines the components of a Multi Network Firewall System
#
#%description pt
#MNF defines the components of a Multi Network Firewall System
#
%clean

%files en
#%files fr
#%files de
#%files it
#%files es
#%files pt
#
%changelog
* Tue Dec 02 2003 Florin Grad <fgrad@mandrakesoft.com> 10.0-1mdk
- initial version for 10.0
